petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecDotBegin

Starts a split phase dot product computation.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecDotBegin(Vec x,Vec y,PetscScalar *result)

### Input Parameters

| x | - the first vector
| y | - the second vector
| result | - where the result will go (can be NULL)

### Notes

Each call to VecDotBegin() should be paired with a call to VecDotEnd().

seealso: VecDotEnd(), VecNormBegin(), VecNormEnd(), VecNorm(), VecDot(), VecMDot(), VecTDotBegin(), VecTDotEnd(), PetscCommSplitReductionBegin()

### Level

advanced

### Location

src/vec/vec/utils/comb.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages